function gl__enableDisableCheckboxHandler(checkbox) {
    let elements = jQuery(checkbox).closest('.gl-installment-row').find("input.gl-rate-input,input.gl-extra-installment-input");
    let elements_Extra = jQuery(checkbox).closest('.gl-installment-row').find("input.gl-extra-installment-input");
    let elements_Rate = jQuery(checkbox).closest('.gl-installment-row').find("input.gl-rate-input");
    if (checkbox === null || !checkbox.checked) {
        // elements.prop('disabled', true);
        elements.addClass('gl-disabled');
        elements_Rate.val('');
        elements_Extra.val('');
    } else {
        //elements.prop('disabled', false);
        if (elements_Rate.val() === "")
            elements_Rate.val('0.00');
        if (elements_Extra.val() === "")
            elements_Extra.val('0');
        elements.removeClass('gl-disabled');
    }
}

jQuery(function () {
    jQuery(".gl-rate-input").on('keyup', function (e) {
        var val = this.value;
        var re = /^([0-9]+[\.]?[0-9]?[0-9]?|[0-9]+)$/g;
        var re1 = /^([0-9]+[\.]?[0-9]?[0-9]?|[0-9]+)/g;
        if (re.test(val)) {
            //do something here

        } else {
            val = re1.exec(val);
            if (val) {
                this.value = val[0];
            } else {
                this.value = "";
            }
        }
    });

    jQuery(".gl-installment-row").each(function () {
        let checkbox = this.querySelector('.enable-checkbox');
        console.log(checkbox);
        gl__enableDisableCheckboxHandler(checkbox);
        checkbox.addEventListener('change', function () {
            gl__enableDisableCheckboxHandler(this);
        });
    });

    jQuery("#auto-complete-rates").on('change', function () {
        if (this.checked) {
            jQuery(".installment-table-panel table").hide();
            jQuery("#auto-complete-alert, .installment-table-panel .payment-gateway-select").show();
        } else {
            jQuery(".installment-table-panel table").show();
            jQuery("#auto-complete-alert, .installment-table-panel .payment-gateway-select").hide();
        }
    })
});