<script src="view/javascript/gl_order_tab.js"></script>
<?php if($gl_package_level < 3): ?>
    <div style="padding: 10px 20px; margin-bottom: 20px; background-color:lightgoldenrodyellow; border-radius: 5px; display: block">
        <i class="fa fa-warning"></i><?php echo $entry_upgrade_package_required_refund; ?>
    </div>
<?php endif; ?>
<table class="table table-striped" width="100%">
    <tbody>
    <tr>
        <th><?php echo $payment_method_tab_gateway_label; ?>:</th>
        <td>
            <img class="img-thumbnail" src="<?php echo $gl_payment_method->logo; ?>" height="64" style="height: 64px;width: auto;"/>
            <br/>
            <span><?php echo $gl_payment_method->name; ?></span>
        </td>
    </tr>
    <tr>
        <th><?php echo $payment_method_tab_transaction_id_label; ?>:</th>
        <td><?php echo $gl_transaction_id; ?></td>
    </tr>
    <tr>
        <th><?php echo $payment_method_tab_transaction_time_label; ?>:</th>
        <td><?php echo $gl_transaction_time; ?></td>
    </tr>
    <tr>
        <th><?php echo $payment_method_tab_action_label; ?>:</th>
        <td>
            <form action="<?php echo $gl_refund_url; ?>" method="post">
                <input type="hidden" class="gl_refund_currency" value=""/>
                <div class="row">
                    <div class="col-sm-6 col-lg-3 text-right">
                        <input type="text" class="form-control gl_refund_amount"
                               onblur="this.value = Number(this.value).toFixed(2);"
                               onkeyup="this.value = this.value.replace(/[^0-9\.]/g,'');"
                               name="refund_amount"
                               value="<?php echo number_format($gl_order_total,2, '.', ''); ?>"/>
                    </div>
                    <div class="col-sm-6 col-lg-9 text-left">
                        <input type="hidden" name="redirect_url" value="<?php echo $gl_refund_redirect_url; ?>">
                        <button
                                <?php if($gl_package_level < 3) echo ' disabled'; ?>
                                type="submit"
                                class="btn btn-danger gl-btn-refund<?php if($gl_package_level < 3) echo ' disabled'; ?>"
                        ><?php echo $payment_method_tab_action_refund; ?> <i style="display: none" class="fa fa-spin fa-spinner"></i></button>
                    </div>
                </div>
            </form>
        </td>
    </tr>
    </tbody>
</table>