<?php if($bank->infrastructure == 'payflex'): ?>
<?php
$_title = 'grilabs_multi_pos_' . $bankkey . '_title';
$_desc = 'grilabs_multi_pos_' . $bankkey . '_desc';
$_testmode = 'grilabs_multi_pos_' . $bankkey . '_testmode';
$_merchantid = 'grilabs_multi_pos_' . $bankkey . '_merchantid';
$_storekey = 'grilabs_multi_pos_' . $bankkey . '_storekey';
$_terminalid = 'grilabs_multi_pos_' . $bankkey . '_terminalid';
$_paymentmethod = 'grilabs_multi_pos_' . $bankkey . '_paymentmethod';
$_installmentrates = array();
for($i=1; $i<=12; $i++){
  $key = 'grilabs_multi_pos_' . $bankkey . '_' . $i . 'installmentrate';
  $_installmentrates[$i] = isset($$key) ? $$key : '';
}
$_binlist = 'grilabs_multi_pos_' . $bankkey . '_binlist';
?>
<div class="modal fade" id="payflex_bank_settings_modal_<?php echo $bankkey; ?>">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header gl-modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <img src="<?php echo $bank->logo; ?>" />
                <p><?php echo $text_payment_details_payflex_desc; ?></p>
            </div>
            <div class="form-horizontal">

                <div class="modal-body">

                    <div class="form-group" style="display: none;">
                        <label class="col-sm-2 control-label" for="input-title-<?php echo $bankkey; ?>"><?php echo $entry_nestpay_title; ?></label>
                        <div class="col-sm-10">
                            <input type="text"
                                   name="grilabs_multi_pos_<?php echo $bankkey; ?>_title"
                                   value="<?php echo $$_title; ?>"
                                   id="input-title-<?php echo $bankkey; ?>" class="form-control" />
                            <div class="input-group">
                                <div class="text-info"><i>**<?php echo $info_nestpay_title; ?></i></div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group" style="display: none;">
                        <label class="col-sm-2 control-label" for="input-desc-<?php echo $bankkey; ?>"><?php echo $entry_nestpay_desc; ?></label>
                        <div class="col-sm-10">
                            <input type="text" name="grilabs_multi_pos_<?php echo $bankkey; ?>_desc"
                                   value="<?php echo $$_desc; ?>"
                                   id="input-desc-<?php echo $bankkey; ?>" class="form-control" />
                            <div class="input-group">
                                <div class="text-info"><i>**<?php echo $info_nestpay_desc; ?></i></div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="input-testmode-<?php echo $bankkey; ?>"><?php echo $entry_nestpay_testmode; ?></label>
                        <div class="col-sm-10">
                            <input type="checkbox" name="grilabs_multi_pos_<?php echo $bankkey; ?>_testmode"
                                   value="yes"
                                    <?php echo $$_testmode == 'yes' ? ' checked' : ''; ?>
                                   id="input-testmode-<?php echo $bankkey; ?>" class="form-control" /><?php echo $entry_nestpay_testmode; ?>
                            <div class="input-group">
                                <div class="text-info"><i>**<?php echo $info_nestpay_testmode; ?></i></div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-sm-10">
                            <h4><b><?php echo $entry_nestpay_bank_settings; ?></b></h4>
                            <p><?php echo $entry_nestpay_bank_settings_desc; ?></p>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="input-merchantid-<?php echo $bankkey; ?>"><?php echo $entry_nestpay_merchantid; ?></label>
                        <div class="col-sm-10">
                            <input type="text" name="grilabs_multi_pos_<?php echo $bankkey; ?>_merchantid"
                                   value="<?php echo $$_merchantid; ?>"
                                   id="input-merchantid-<?php echo $bankkey; ?>" class="form-control" />
                            <div class="input-group">
                                <div class="text-info"><i>**<?php echo $info_nestpay_merchantid; ?></i></div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="input-storekey-<?php echo $bankkey; ?>"><?php echo $entry_nestpay_storekey; ?></label>
                        <div class="col-sm-10">
                            <input type="password" name="grilabs_multi_pos_<?php echo $bankkey; ?>_storekey"
                                   value="<?php echo $$_storekey; ?>"
                                   id="input-storekey-<?php echo $bankkey; ?>" class="form-control" />
                            <div class="input-group">
                                <div class="text-info"><i>**<?php echo $info_nestpay_storekey; ?></i></div>
                            </div>
                        </div>
                    </div>

                    <?php if($bankkey=='vakifbank'): ?>
                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="input-terminalid-<?php echo $bankkey; ?>"><?php echo $entry_payflex_vakif_terminal_id; ?></label>
                            <div class="col-sm-10">
                                <input type="text" name="grilabs_multi_pos_<?php echo $bankkey; ?>_terminalid"
                                       value="<?php echo $$_terminalid; ?>"
                                       id="input-terminalid-<?php echo $bankkey; ?>" class="form-control" />
                                <div class="input-group">
                                    <div class="text-info"><i>**<?php echo $info_paylex_vakif_terminal_id; ?></i></div>
                                </div>
                            </div>
                        </div>
                    <?php endif; ?>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="input-paymentmethod-<?php echo $bankkey; ?>"><?php echo $entry_nestpay_paymentmethod; ?></label>
                        <div class="col-sm-10">
                            <select name="grilabs_multi_pos_<?php echo $bankkey; ?>_paymentmethod" id="input-paymentmethod-<?php echo $bankkey; ?>" class="form-control">
                                <option value="3d"<?php echo ($$_paymentmethod=='3d') ? ' selected' :''; ?>>3D</option>
                                <option value="3d_pay"<?php echo ($$_paymentmethod=='3d_pay') ? ' selected' :''; ?>>3D PAY</option>
                                <option value="3d_pay_hosting"<?php echo ($$_paymentmethod=='3d_pay_hosting') ? ' selected' :''; ?>>3D PAY HOSTING</option>
                                <option value="non_secure"<?php echo ($$_paymentmethod=='non_secure') ? ' selected' :''; ?>>Non Secure</option>
                            </select>
                            <div class="input-group">
                                <div class="text-info"><i>**<?php echo $info_nestpay_paymentmethod; ?></i></div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-sm-10">
                            <h4><b><?php echo $entry_nestpay_installment_title; ?></b></h4>
                            <p><?php echo $entry_nestpay_installment_title_desc; ?></p>
                        </div>
                    </div>

                    <div class="form-group" style="display: none">
                        <label class="col-sm-2 control-label" for="input-binlist-<?php echo $bankkey; ?>"><?php echo $entry_nestpay_binlist_title; ?></label>
                        <div class="col-sm-10">
                            <textarea name="grilabs_multi_pos_<?php echo $bankkey; ?>_binlist"
                                      id="input-binlist-<?php echo $bankkey; ?>" class="form-control"><?php echo $$_binlist; ?></textarea>
                            <div class="input-group">
                                <div class="text-info"><i>**<?php echo $entry_nestpay_binlist_desc; ?></i></div>
                            </div>
                        </div>
                    </div>

                    <?php for($i=2; $i<=12; $i++) { ?>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="input-<?php echo $i; ?>installmentrate-<?php echo $bankkey; ?>"><?php echo $i; ?> <?php echo $entry_nestpay_installment_commission_title; ?></label>
                        <div class="col-sm-10">
                            <input type="text"
                                   name="grilabs_multi_pos_<?php echo $bankkey; ?>_<?php echo $i; ?>installmentrate"
                                   value="<?php echo $_installmentrates[$i]; ?>"
                                   id="input-<?php echo $i; ?>installmentrate-<?php echo $bankkey; ?>" class="form-control" />
                            <div class="input-group">
                                <div class="text-info"><i>**<?php echo $entry_nestpay_installment_commission_desc; ?></i></div>
                            </div>
                        </div>
                    </div>
                    <?php } ?>

                </div>

                <div class="modal-footer">
                    <button type="submit" data-toggle="tooltip" title="<?php echo $button_save; ?>"
                            class="btn btn-primary" id="save_button_<?php echo $bankkey; ?>"><i class="fa fa-save"></i></button>
                </div>
            </div>
        </div>
    </div>
</div>
<?php endif; ?>