<div class="form-group">
    <label class="col-sm-2 control-label"
           for="input-order-status"><?php echo $entry_order_status; ?></label>
    <div class="col-sm-10">
        <select name="grilabs_multi_pos_order_status" id="input-order-status" class="form-control">
            <?php foreach($order_statuses as $order_status) { ?>
                <option
                        <?php if($order_status['order_status_id'] == $grilabs_multi_pos_order_status) { echo ' selected="selected"'; } ?>
                        value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
            <?php } ?>
        </select>
    </div>
</div>

<div class="form-group">
    <label class="col-sm-2 control-label"
           for="input-order-status"><?php echo $entry_order_status_refunded; ?></label>
    <div class="col-sm-10">
        <select name="grilabs_multi_pos_order_status_refunded"
                id="input-order-status-refunded" class="form-control">
            <?php foreach($order_statuses as $order_status) { ?>
                <?php if ($order_status['order_status_id'] == $grilabs_multi_pos_order_status_refunded) : ?>
                    <option value="<?php $order_status['order_status_id'] ?>"
                            selected="selected"><?php echo $order_status['name']; ?></option>
                <?php else: ?>
                    <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name'] ?></option>
                <?php endif; ?>
            <?php } ?>
        </select>
    </div>
</div>

<div class="form-group">
    <label class="col-sm-2 control-label"
           for="input-geo-zone"><?php echo $entry_geo_zone; ?></label>
    <div class="col-sm-10">
        <select name="grilabs_multi_pos_geo_zone_id" id="input-geo-zone"
                class="form-control">
            <option value="0"><?php echo $text_all_zones; ?></option>
            <?php foreach($geo_zones as $geo_zone) { ?>
                <?php if($geo_zone['geo_zone_id'] == $grilabs_multi_pos_geo_zone_id) : ?>
                    <option value="<?php echo $geo_zone['geo_zone_id']; ?>"
                            selected="selected"><?php echo $geo_zone['name'] ?></option>
                <?php else: ?>
                    <option value="<?php echo $geo_zone['geo_zone_id']; ?>"><?php echo $geo_zone['name']; ?></option>
                <?php endif; ?>
            <?php } ?>
        </select>
    </div>
</div>

<div class="form-group">
    <label class="col-sm-2 control-label"
           for="input-status"><?php echo $entry_module_status; ?></label>
    <div class="col-sm-10">
        <select name="grilabs_multi_pos_status" id="input-status"
                class="form-control">
            <?php if ($grilabs_multi_pos_status) : ?>
                <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                <option value="0"><?php echo $text_disabled; ?></option>
            <?php else : ?>
                <option value="1"><?php echo $text_enabled; ?></option>
                <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
            <?php endif; ?>
        </select>
    </div>
</div>

<div class="form-group">
    <label class="col-sm-2 control-label"
           for="input-sort-order"><?php echo $entry_sort_order ?></label>
    <div class="col-sm-10">
        <input type="text" name="grilabs_multi_pos_sort_order"
               value="<?php echo $grilabs_multi_pos_sort_order; ?>"
               placeholder="<?php echo $entry_sort_order; ?>" id="input-sort-order"
               class="form-control"/>
    </div>
</div>