// grilabs-payment-page.js - 2019

var gl_p_form = null;
var submit_lock = true;
var newIframe = null;
var isIE11 = !!window.MSInputMethodContext && !!document.documentMode;
var quick_chekcout_default_text = "", bex_selected = false

var gl_payment_gw_menu_selection = function () {
    if (document.querySelector(".multiple-gateway-menu") !== null) {
        var tab_buttons = document.querySelectorAll(".multiple-gateway-menu li a");
        var tab_boxes = document.querySelectorAll(".payment-box");
        Array.prototype.forEach.call(tab_buttons, function (el) {
            addEvent(el, "click", function (eve) {
                eve.preventDefault();
                var target_div = (this.dataset.tab !== null) ? document.getElementById(this.dataset.tab) : false;
                if (target_div) {
                    bex_selected = this.dataset.tab === "grilabs-bkmexpress"

                    Array.prototype.forEach.call(tab_boxes, function (box) {
                        box.style.display = "none"
                    });
                    target_div.style.display = "block"
                }
                document.querySelector(".multiple-gateway-menu li.active").classList.remove("active");
                this.closest("li").classList.add("active")
            })
        })
    }
};

function addEvent(elem, event, func) {
    if (event.indexOf(",") > -1) {
        var events = event.split(",");
        for (var i = 0; i < events.length; i++) {
            elem.addEventListener(events[i], func)
        }
    } else {
        elem.addEventListener(event, func)
    }
}

function grilabs_payment_form_submit() {

    if (submit_lock) {
        return;
    }

    submit_lock = true;

    setTimeout(function () {
        submit_lock = false;
        if (typeof triggerLoadingOff === "function") {
            triggerLoadingOff();
        }
        var loading_overlay = document.querySelector('.journal-loading-overlay');
        if(loading_overlay !== null)
            loading_overlay.parentNode.removeChild(loading_overlay);

        var checkout_button = document.getElementById('quick-checkout-button-confirm');
        if (checkout_button !== null) {
            checkout_button.disabled = false;
            checkout_button.innerHTML = checkout_button.dataset.loadingText;
            checkout_button.classList.remove('disabled');
        }
    }, 3 * 1000);

    if(bex_selected) {
        if(typeof start_bkm_express === "function")
            start_bkm_express()
        else
            alert("Bex Not Loaded!");
    } else {
        var _formElement = document.getElementById('browser3dform');

        if(typeof gl_stop_popup === "boolean" && gl_stop_popup)
        {
            _formElement.submit();
            return false;
        }

        var cc_payment_form = document.createElement('form'), input_cloned = null;
        (_formElement.querySelectorAll('input')).forEach(function (item) {
            input_cloned = item.cloneNode(true);
            if (input_cloned.type !== "radio" || input_cloned.checked) {
                input_cloned.type = 'hidden';
                cc_payment_form.appendChild(input_cloned);
            }
        });

        cc_payment_form.action = _formElement.action;
        cc_payment_form.method = 'POST';

        var iframe = document.getElementById("GrilabsPaymentIframe");
        if (newIframe !== null)
            iframe = newIframe;

        var iframeDocument = iframe.contentDocument;
        if (typeof iframeDocument.body === "undefined" || iframeDocument.body === null)
            iframeDocument.appendChild(iframeDocument.createElement("body"))

        iframeDocument.body.appendChild(cc_payment_form);
        (iframeDocument.body.firstChild).submit();
    }

    $("#GrilabsPopupBox").fadeIn(250);
}

var gl_pos_inline_close_popup = function () {
    var iframe;
    if (document.getElementById('GrilabsPopupBox') !== null) {
        document.getElementById('GrilabsPopupBox').style.display = 'none';
    }

    iframe = document.getElementById('GrilabsPaymentIframe');
    if (iframe === null) {
        iframe = newIframe;
    }
    var iframeParent = iframe.parentNode;
    iframeParent.removeChild(iframe);

    newIframe = document.createElement('iframe');
    newIframe.id = 'GrilabsPaymentIframe';
    newIframe.width = "100%";
    newIframe.height = "400px";
    newIframe.frameBorder = '0';
    newIframe.src = '';
    newIframe.style.position = 'relative';
    newIframe.style.zIndex = '5';

    iframeParent.appendChild(newIframe);
    $("#GrilabsPopupBox").fadeOut(250);
};

$(".pop-close-btn").on("click", function (ev) {
    ev.preventDefault();
    gl_pos_inline_close_popup()
});

setTimeout(function (){
    submit_lock=false;
}, 3*1000)