<div class="gri-payment-form--div">
    <div class="box">
        <header>
            <div class="card" id="cc-card">
                <div class="flipper">
                    <div class="front">
                        <div class="shine"></div>
                        <div class="shadow"></div>
                        <div class="card-bg">
                            <img src="catalog/assets/image/cc-front-bg.png"/>
                        </div>
                        <div class="card-content">
                            <div class="credit-card-type"></div>
                            <div class="card-number">
                                <span>1234 1234 1234 1234</span>
                                <span>1234 1234 1234 1234</span>
                            </div>
                            <div class="card-holder">
                                <em><?php echo $card_owner; ?></em>
                                <span><?php echo $card_owner_placeholder; ?></span>
                                <span><?php echo $card_owner_placeholder; ?></span>
                            </div>
                            <div class="validuntil">
                                <em><?php echo $card_valid_thru; ?></em>
                                <div class="e-month">
                    <span>
                      <?php echo $card_valid_thru_month; ?>
                    </span>
                                    <span>
                      <?php echo $card_valid_thru_month; ?>
                    </span>
                                </div>
                                <div class="e-divider">
                     <span>
                      /
                    </span>
                                    <span>
                      /
                    </span>
                                </div>
                                <div class="e-year">
                    <span>
                      <?php echo $card_valid_thru_year; ?>
                    </span>
                                    <span>
                      <?php echo $card_valid_thru_year; ?>
                    </span>
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="back">
                        <div class="shine"></div>
                        <div class="shadow"></div>
                        <div class="card-bg">
                            <img src="catalog/assets/image/cc-back-bg-new.png"/>
                        </div>
                        <div class="ccv">
                            <em></em>
                            <strong>***</strong>
                        </div>
                        <div class="card-content">
                            <div class="card-number">
                                <span>1234 1234 1234 1234</span>
                                <span>1234 1234 1234 1234</span>
                            </div>
                            <div class="card-holder">
                                <span><?php echo $card_owner_placeholder; ?></span>
                                <span><?php echo $card_owner_placeholder; ?></span>
                            </div>
                            <div class="validuntil">
                <span>
                  <strong class="e-month"><?php echo $card_valid_thru_month; ?></strong> /                 <strong
                            class="e-year"><?php echo $card_valid_thru_year; ?></strong>
                </span>
                                <span>
                  <strong class="e-month"><?php echo $card_valid_thru_month; ?></strong> /
                  <strong class="e-year"><?php echo $card_valid_thru_year; ?></strong>
                </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </header>
        <form id="browser3dform" action="<?php echo $make_payment; ?>" method="post" class=""
              data-total="<?php echo $amount; ?>"
              data-currency="<?php echo $currency; ?>"
              data-checkbinurl="<?php echo $check_bin_link; ?>"
              data-installmenttext="<?php echo $grilabs_multi_pos_installment_text; ?>"
              data-advancetext="<?php echo $grilabs_multi_pos_advance_text; ?>"
              data-currencyprefix="<?php echo $currency_prefix; ?>"
              data-currencysuffix="<?php echo $currency_suffix; ?>"
        >
            <div class="form-content">
                <div class="field">
                    <input type="tel" id="cardnumber" maxlength="20" name="ccnumber"/>
                    <span class="focus-bar"></span>
                    <label for="cardnumber"><?php echo $card_number; ?></label>
                    <div class="loading-installments"><img src="catalog/assets/image/spinner.gif"
                                                           width="20">
                    </div>
                </div>
                <div class="field">
                    <input type="text" autocorrect="off" spellcheck="false" id="cardholder" maxlength="25"
                           name="ccholder"/>
                    <span class="focus-bar"></span>
                    <label for="cardholder"><?php echo $card_owner; ?></label>
                </div>
                <div class="field-group">
                    <div class="col-50">
                        <label for="expires-month"><?php echo $card_expiry_date_form2; ?></label>
                        <div class="field expire-date">
                            <div>
                                <input type="tel" id="expires-month"
                                       placeholder="<?php echo $card_valid_thru_month; ?>"
                                       allowed-pattern="[0-9]"
                                       maxlength="2" name="ccmonth">
                                <span class="focus-bar"></span>
                            </div>
                            <div class="divider">/</div>
                            <div>
                                <input type="tel" id="expires-year"
                                       placeholder="<?php echo $card_valid_thru_year; ?>"
                                       allowed-pattern="[0-9]"
                                       maxlength="2" name="ccyear">
                                <span class="focus-bar"></span>
                            </div>
                        </div>
                    </div>
                    <div class="col-50">
                        <div class="field ccv">
                            <input type="tel" id="ccv" autocomplete="off" maxlength="4" name="ccccv"/>
                            <span class="focus-bar"></span>
                            <label for="ccv"><?php echo $card_cvv; ?></label>
                        </div>
                    </div>
                </div>
                <div class="installment-row">
                    <table class="table-installment" id="table-installment" style="display:none;">
                        <thead>
                        <tr>
                            <th width="10%"></th>
                            <th width="30%"><?php echo $grilabs_payment_installment_text; ?></th>
                            <th width="30%"><?php echo $grilabs_payment_montly_text; ?></th>
                            <th width="30%"><?php echo $grilabs_payment_total_text; ?></th>
                        </tr>
                        </thead>
                        <tbody id="installment-body">
                        </tbody>
                    </table>
                </div>
                <button id="button-confirm"><span><?php echo $secure_pay_button; ?></span></button>
            </div>
        </form>
    </div>
</div>