<?php
// Heading
$_['heading_title'] = 'paymendo - Opencart vPOS';
$_['menu_title']    = 'paymendo';
//text
$_['text_success']                          = 'Success: You have modified the paymendo module details.';
$_['text_home']                             = 'Home';
$_['text_extension']                        = 'Extensions';
$_['text_edit']                             = 'Start receiving payments fast and secure with paymendo';
$_['text_grilabs_multi_pos']                = '<a href="https://www.gri.net/" target="_blank"><img src="view/image/payment/paymendo.png" alt="paymendo" title="paymendo" style="border: 1px solid #EEEEEE;" /></a>';
$_['text_payment_details_nestpay_desc']     = 'Take payments with Payten.';
$_['text_payment_details_intertech_desc']   = 'Take payments with Intertech.';
$_['text_payment_details_payflex_desc']     = 'Take payments with Payflex.';
$_['text_payment_details_posnet_desc']      = 'Take payments with Posnet.';
$_['text_payment_details_freepos_desc']     = 'Take payments with FreePOS.';
$_['text_payment_details_iyzico_desc']      = 'Take payments with iyzico.';
$_['text_payment_details_garantigvp_desc']  = 'Take payments with Garanti GVP.';
$_['text_payment_details_garantipay_desc']  = 'Take payments with Garanti PAY.';
$_['text_payment_details_parampos_desc']    = 'Take payments with Param.';
$_['text_payment_details_paytr_desc']       = 'Take payments with PayTR.';
$_['text_payment_details_akilliesnaf_desc'] = 'Take payments with PTT Akıllı Esnaf.';
$_['text_payment_details_moka_desc']  = 'Take payments with Moka.';

//entry
$_['entry_gatewayname']                     = 'Gateway';
$_['entry_logo']                            = 'Logo';
$_['entry_bank_settings']                   = 'Bank Settings';
$_['entry_enable']                          = 'Activate';
$_['entry_settings']                        = 'Settings';
$_['entry_upgrade_package_required']        = 'You need to upgrade your package to use more than one vPOS. <a href="https://www.gri.net/opencart-sanal-pos-entegrasyon-paketleri/" target="_blank">Click here</a> to upgrade package.';
$_['entry_upgrade_package_required_refund'] = 'You need to upgrade your package to use integrated refund action. <a href="https://www.gri.net/opencart-sanal-pos-entegrasyon-paketleri/" target="_blank">Click here</a> to upgrade package.';
$_['entry_partial_refund_cannot']           = 'Partial refunds cannot be made on the day of payment. You can cancel the transaction by entering the full amount or make a partial refund when the end of the day is received.';

//nestpay payment modal
$_['entry_nestpay_title']                        = 'Title';
$_['entry_nestpay_desc']                         = 'Description';
$_['entry_nestpay_testmode']                     = 'Test Mode?';
$_['entry_nestpay_bank_settings']                = 'Bank Settings';
$_['entry_nestpay_bank_settings_desc']           = 'Enter your store details.';
$_['entry_nestpay_merchantid']                   = 'Merchant ID';
$_['entry_nestpay_storekey']                     = '3D Secure Pw - Storekey';
$_['entry_nestpay_apiusername']                  = 'API Username';
$_['entry_nestpay_apipw']                        = 'API User Password';
$_['entry_nestpay_paymentmethod']                = 'Payment Method';
$_['entry_nestpay_bankinterface']                = 'Customers enter details into the bank interface';
$_['entry_nestpay_installment_title']            = 'Installment Settings';
$_['entry_nestpay_installment_title_desc']       = 'Set up installment commissions.';
$_['entry_nestpay_binlist_title']                = 'BIN List';
$_['entry_nestpay_binlist_desc']                 = 'Enter the BIN list for the credit cards to be offered in installments. (Enter 1 BIN number per line.)<br>You can obtain this list from your bank.<br>Only necessary in case of separate use';
$_['entry_nestpay_installment_commission_title'] = 'Installment commission';
$_['entry_nestpay_installment_commission_desc']  = 'How much commission should be added for this installments? Just type 10 for 10 percent. If you want to close this installment, you can leave it blank.';

$_['info_nestpay_title']         = "Enter the method name to be displayed on the payment page<br>Only necessary in case of separate use";
$_['info_nestpay_desc']          = "Enter the description of the method to display on the payment page<br>Only necessary in case of separate use";
$_['info_nestpay_testmode']      = 'Check to work in the test environment';
$_['info_nestpay_merchantid']    = 'Enter the merchant id assigned by the bank';
$_['info_nestpay_storekey']      = 'You can reset this information from your virtual pos management panel';
$_['info_nestpay_apiusername']   = 'You can create this from your virtual pos management panel';
$_['info_nestpay_paymentmethod'] = 'You can learn from the virtual pos management panel or from your bank';
$_['info_nestpay_bankinterface'] = 'This option will only work with "3D PAY HOSTING"';

$_['entry_payflex_vakif_terminal_id'] = 'Terminal ID';
$_['info_paylex_vakif_terminal_id']   = 'Enter the Terminal ID given to you by your bank';

$_['entry_posnet_posnetid']                  = 'Posnet ID';
$_['info_posnet_posnetid']                   = 'You can create this ID from your virtual pos management panel';
$_['entry_posnet_paymentmethod']             = 'Security Type';
$_['info_posnet_paymentmethod']              = 'Select the security type defined on your terminal';
$_['entry_posnet_mac_algorithm']             = 'Mac Verification Method';
$_['entry_posnet_mac_algorithm_standard']    = 'Standard';
$_['entry_posnet_mac_algorithm_alternative'] = 'Alternative';
$_['info_posnet_mac_algorithm']              = 'Select the MAC verification type compatible with your store. If you don\'t know this, choose as standard.';
$_['entry_posnet_encryptionkey']             = 'Posnet Encryption Key';
$_['info_posnet_encryptionkey']              = 'You can create it from the "Create Key" menu in your virtual pos management panel';
$_['entry_posnet_keyuser']                   = 'Posnet Key User';
$_['entry_posnet_keyuserpw']                 = 'Posnet Key User Password';
$_['entry_posnet_koicode']                 = 'Campaign Code(KOI)';
$_['info_posnet_koicode']                 = 'Enter KOICODE you want to use.';
$_['entry_posnet_eposno']                    = 'Epos No';

$_['entry_freepos_customerid'] = 'Customer ID';
$_['info_freepos_customerid']  = 'Enter your Customer ID';

// akilliesnaf modal
$_['entry_akilliesnaf_clientid']        = 'Client Id';
$_['entry_akilliesnaf_apiusername']     = 'API Username';
$_['entry_akilliesnaf_apiuserpassword'] = 'API User Password';
$_['info_akilliesnaf_clientid']         = 'Enter your merchant ID for PTT Akıllı Esnaf.';
$_['info_akilliesnaf_apiusername']      = 'Enter the API username transmitted by PTT Akıllı Esnaf.';
$_['info_akilliesnaf_apiuserpassword']  = 'Enter the API password transmitted by PTT Akıllı Esnaf.';

// iyzico modal
$_['entry_iyzico_apikey']    = 'API Key';
$_['entry_iyzico_secretkey'] = 'Secret Key';
$_['info_iyzico_apikey']     = 'Enter your iyzico merchant API key.';
$_['info_iyzico_secretkey']  = 'Enter your iyzico merchant API secret key.';

$_['entry_garantigvp_terminal_userid'] = 'Terminal User ID';
$_['info_garantigvp_terminal_userid']  = 'Enter the Terminal User ID given to you by your bank';
$_['entry_garantigvp_provaut_userpw']  = 'PROVAUT User Password (ProvisionPassword)';
$_['entry_garantigvp_provrfn_userpw']  = 'PROVRFN User Password';
$_['info_garantigvp_provrfn_userpw']   = 'It is necessary for refund';

$_['entry_garantipay_storename']      = 'Store Name';
$_['info_garantipay_storename']       = 'Enter the store name to be displayed in garantipay interface';
$_['entry_garantipay_provoos_userpw'] = 'PROVOOS User Password (ProvisionPassword)';
$_['entry_garantipay_maxinstallment'] = 'Maximum installment';
$_['info_garantipay_maxinstallment']  = 'Enter the maximum number of installments that will be allowed on GarantiPay';

$_['entry_parampos_clientcode']    = 'Client Code';
$_['entry_parampos_clientguid']    = 'Client GUID';
$_['entry_parampos_commission']    = 'Add commission on advance payments';
$_['info_parampos_settings']       = 'You can learn it from Param management panel';
$_['entry_payment_form_selector']  = 'Payment Form Style';
$_['entry_payment_popup_mode']     = 'Don\'t use Popup?';
$_['entry_payment_popup_mode_yes'] = 'Yes';
$_['entry_payment_popup_mode_no']  = 'No';
$_['info_payment_form_selector']   = 'Choose your payment page';
$_['entry_enable_installment_table']   = 'Activate Installment Table';
$_['entry_enable_installment_table_desc']   = 'Extra license needed!';

//LOG
$_['entry_log_errors_in_file']          = 'Debug Mode';
$_['info_log_errors_in_file']           = 'Enabling debug will write sensitive data to a log file. You should always disable unless instructed otherwise';
$_['entry_log_errors_in_order_history'] = 'Log Payment attempts in order history';
$_['info_log_errors_in_order_history']  = 'Log payment attempts in order history';

$_['entry_paytr_storeno']      = 'Store No';
$_['entry_paytr_merchantkey']  = 'Merchant Key';
$_['entry_paytr_merchantsalt'] = 'Merchant Secret Key (merchant_salt)';
$_['info_paytr_settings']      = 'You can learn this from PayTR management panel';

$_['entry_moka_dealer_code']      = 'Dealer Code';
$_['info_moka_dealer_code']      = 'Enter your dealer code for Moka.';
$_['entry_moka_apiusername']  = 'API Username';
$_['info_moka_apiusername']  = 'Enter your API username for Moka. You can get this info from Moka.';
$_['entry_moka_apipasword'] = 'API User Password';
$_['info_moka_apipasword'] = 'Enter your API user password for Moka. You can get this info from Moka.';
$_['entry_moka_method'] = 'Payment Method';
$_['info_moka_method'] = 'Select your method for payment security.';
$_['entry_moka_title']                        = 'Title';
$_['entry_moka_desc']                         = 'Description';
$_['info_moka_settings']      = 'You can learn this from PayTR management panel';
$_['entry_moka_installment_commission_desc']  = 'If you want to change Moka commissions you can enter value here. Enter \'-1\' to disable this option. Leave blank to use Moka default rates.';

//other options
$_['entry_order_status']          = 'Pending Order Status';
$_['entry_order_status_refunded'] = 'Refunded Order Status';
$_['entry_geo_zone']              = 'Geo Zone';
$_['entry_module_status']         = 'Module Status';
$_['entry_sort_order']            = 'Sort Order';
$_['entry_use_seperately']        = 'Use gateways seperately';
$_['info_use_seperately']         = 'Use selected gateways without forwarding options<br>Coming Soon...';
$_['entry_multipos_title']        = 'Title';
$_['entry_multipos_min_amount_installment']        = 'Minimum Installment Amount';
$_['info_multipos_title']         = 'This title will be used in case of forwardable usage';
$_['info_multipos_min_amount_installment']         = 'You can specify minimum amount for allow installment.';

//accordion
$_['text_grilabs_multi_pos_payment_gateways']   = 'Payment Gateways';
$_['text_grilabs_multi_pos_payment_forwarding'] = 'Payment Forwarding';
$_['text_grilabs_multi_pos_opencart_settings']  = 'Opencart Settings';
$_['text_grilabs_multi_pos_other_settings']     = 'Other Settings';
$_['text_grilabs_multi_pos_support']            = 'Support';
$_['text_grilabs_multi_pos_installment_table']  = 'Installment Table';
$_['text_grilabs_multi_pos_support_desc']       = 'Get support from <a href="https://www.gri.net/opencart-sanal-pos-entegrasyon-paketleri/" target="_blank">here</a>.';

//payment forwarding
$_['text_grilabs_multi_pos_payment_forwarding_bigger_amount']      = 'Amounts greater than';
$_['text_grilabs_multi_pos_payment_forwarding_lesser_amount']      = 'Amounts smaller than';
$_['text_grilabs_multi_pos_payment_forwarding_cardnum_bin']        = 'If in the BIN List';
$_['text_grilabs_multi_pos_payment_forwarding_bigger_installment'] = 'Installment greater than';
$_['text_grilabs_multi_pos_payment_forwarding_lesser_installment'] = 'Installment smaller than';
$_['text_grilabs_multi_pos_payment_forwarding_else']               = 'All Other Cases';
$_['text_grilabs_multi_pos_payment_priorty']                       = 'Priority';
$_['text_grilabs_multi_pos_payment_condition']                     = 'Condition Type';
$_['text_grilabs_multi_pos_payment_detail']                        = 'Detail';
$_['text_grilabs_multi_pos_payment_method']                        = 'Payment Method';
$_['text_grilabs_multi_pos_today_half_refund_error']               = 'You can only full refund in same day.';
$_['text_grilabs_multi_pos_payment_delete']                        = 'Delete';
$_['text_grilabs_multi_pos_payment_add_row']                       = 'Add New Row';
$_['text_grilabs_multi_pos_payment_priority']                      = 'Priority';
$_['text_grilabs_multi_pos_any_selected_banks']                    = "No methods have yet been activated. Please activate a method first.";

//errors
$_['error_permission']     = 'You do not have permission!';
$_['confirm_are_you_sure'] = 'Are you sure?';

//support

$_['support_active_module']             = 'Active Module';
$_['support_active_package']            = 'Used Package';
$_['support_active_package_reload']     = 'Check Now';
$_['support_active_package_standard']   = 'Standard';
$_['support_active_package_sme']        = 'SME';
$_['support_active_package_enterprise'] = 'Enterprise';
$_['support_active_version']            = 'Active Version';
$_['support_published_last']            = 'Last Published Module';
$_['support_published_last_version']    = 'Updated Version';
$_['support_changelog']                 = 'Changelog';
$_['support_download_module']           = 'Download New Version';
$_['support_version_check']             = 'Version Check';
$_['need_renew_update']                 = 'Your update period has expired for %s. You can get updates after renew from <a href="https://www.gri.net/clientarea" target="_blank">here</a>.';
$_['support_download_button']           = 'Download';
$_['support_version_up_to_date']        = 'Your version is up to date.';
$_['support_last_check_time']           = 'Last check';
$_['support_check_now']                 = 'Check now';
$_['technical_support']                 = 'Technical Support';
$_['get_support']                       = 'Get Support';
$_['support_download_module_files']     = 'Download Module Files';
$_['entry_paytr_notify_url']            = 'PayTR Notify URL';
$_['info_paytr_notify_url']             = 'Paste this URL to Notify URL area in your PayTR management panel';
$_['entry_paytr_installment_commission_desc']  = 'If you want to change PayTR commissions you can enter value here. Enter \'-1\' to disable this option. Leave blank to use PayTR default rates.';
$_['text_payment_details_payfor_desc']  = 'Take payments with Payfor.';

//payment method tab
$_['payment_method_tab_gateway_label']          = 'Payment Gateway';
$_['payment_method_tab_transaction_id_label']   = 'Transaction ID';
$_['payment_method_tab_transaction_time_label'] = 'Transaction Time';
$_['payment_method_tab_action_label']           = 'Actions';
$_['payment_method_tab_action_refund']          = 'Refund';

// installment table settings
$_['installment_table_title'] = 'Installment Table';
$_['installment_table_description'] = 'It allows you to present the installment options in the form of a table on the product and payment pages.';
$_['installment_table_show_product_page'] = 'Show on product page as tab';
$_['installment_table_show_payment_page'] = 'Show on payment page';
$_['installment_table_rates_auto_complete_label'] = 'Auto-Complete Rates';
$_['installment_table_rates_auto_complete_title'] = 'Auto-Complete Rates';
$_['installment_table_rates_auto_complete_desc'] = 'Commission rates will be filled automatically with the information you enter on the "Installment & Forwarding" page. Match card brands and payment methods for this transaction.';
$_['installment_table_rates_auto_complete_select'] = '-Select-';
$_['installment_table_rates_title'] = 'Installment Rates';
$_['installment_table_rates_desc'] = 'You can create an installment table by entering the maturity difference information for credit card installment options.';
$_['installment_table_head_installment_label'] = 'Installment';
$_['installment_table_head_rate_label'] = 'Rate';
$_['installment_table_head_extra_installment'] = 'Extra Installment';
$_['installment_table_body_installment_label'] = 'Installment';

// bkmexpress
$_['entry_bkmexpress_title'] = 'BKMExpress';
$_['entry_bkmexpress_desc'] = '';
$_['info_bkmexpress_desc'] = 'You can enable this gateway to get payments with BKMExpress.';
$_['entry_bkmexpress_merchantid'] = 'Merchant Id';
$_['info_bkmexpress_merchantid'] = 'Enter BKMExpress merchant ID.';
$_['entry_bkmexpress_environment'] = 'Environment';
$_['info_bkmexpress_environment'] = 'Select BKMExpress environment.';
$_['entry_bkmexpress_privatekey'] = 'Private Key';
$_['info_bkmexpress_privatekey'] = 'Enter the private key defined in BKMExpress.';