//  - 2018
jQuery(function () {
    function re_sort_rows() {
        jQuery('#gateways-body tr').each(function (value) {
            jQuery(this).find('.num-label').text("#" + value);
            jQuery(this).find('.cond-select').attr("name", settings_prefix + "grilabs_multi_pos_payment_forwarding_options[" + value + "][condition]");
            jQuery(this).find('.detail-text').attr("name", settings_prefix + "grilabs_multi_pos_payment_forwarding_options[" + value + "][detail]");
            jQuery(this).find('.gw-select').attr("name", settings_prefix + "grilabs_multi_pos_payment_forwarding_options[" + value + "][gateway]");
        })
    }

    function append_new_row() {
        var $cloneRow = jQuery("#original-row");
        var $newRow = $cloneRow.clone();
        $newRow.find("input,select,textarea").prop('disabled', false);
        var total_rows = jQuery('#gateways-body tr').length;
        $newRow[0].innerHTML = $newRow[0].innerHTML.replace('{$num}', total_rows);
        jQuery('#gateways-body tr:last:not(\'#last-row\')').after($newRow);
    }

    jQuery('#new-row').on('click', function (ev) {
        ev.preventDefault();
        append_new_row();
        re_sort_rows();
    });

    jQuery('#gateways-body').on('click', '.delete-row', function (ev) {
        ev.preventDefault();
        if (confirm(confirm_are_you_sure)) {
            jQuery(this).closest('tr').remove();
        }
        re_sort_rows();
    });
});
var getJSON = function(url, callback) {
    var xhr = new XMLHttpRequest();
    xhr.open('GET', url, true);
    xhr.responseType = 'json';
    xhr.onload = function() {
        var status = xhr.status;
        if (status === 200) {
            callback(null, xhr.response);
        } else {
            callback(status, xhr.response);
        }
    };
    xhr.send();
};

function checkVersion(ev) {
    ev.preventDefault();
    document.getElementById("check_spinner").removeAttribute('style');
    var check_url=check_version_url+"&user_token="+user_token;
    getJSON(check_url,
        function(err, data) {
            if (err !== null) {
                alert('Something went wrong: ' + err);
            } else {
                document.getElementById("check_spinner").style.display = "none";
                var _up_table = document.getElementById('updated-table');
                if(data.available)
                {
                    _up_table.querySelector('.version').innerHTML = data.available_version;
                    _up_table.querySelector('.changelog').innerHTML = data.changelog;
                    _up_table.querySelector('.download a').href = data.download_url;
                    _up_table.closest('div').removeAttribute('style');
                } else {
                    _up_table.closest('div').style.display = 'none';
                }
            }
        });

}

function reloadPackages(ev) {
    ev.preventDefault();
    document.getElementById("check_spinner2").removeAttribute('style');
    var check_url=reload_licenses_url+"&user_token="+user_token;
    getJSON(check_url,
        function(err, data) {
            alert(data.message);
            document.getElementById("check_spinner2").style.display = "none";
            window.location.href = support_page_url;
            window.location.reload();
        });

}

document.getElementById('check_version').addEventListener('click', checkVersion);
document.querySelector('.btn-reload-package').addEventListener('click', reloadPackages);