<?php echo $header; ?>
<link rel="preconnect" href="https://fonts.gstatic.com">
<link href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@400;600&display=swap" rel="stylesheet">
<link rel="stylesheet" href="view/stylesheet/admin-panel.css"/>
<?php echo $column_left; ?>
<div id="content">
    <div class="page-header">
        <div class="container-fluid">
            <div class="pull-right">
                <button type="submit" form="form-payment" data-toggle="tooltip" title="<?php echo $button_save; ?>"
                        class="btn btn-primary" id="save_button"><i class="fa fa-save"></i></button>
                <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>"
                   class="btn btn-default"><i class="fa fa-reply"></i></a></div>
            <h1><?php echo $heading_title; ?></h1>
            <ul class="breadcrumb">
                <?php foreach($breadcrumbs as $breadcrumb){ ?>
                    <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
                <?php } ?>
            </ul>
        </div>
    </div>
    <div class="container-fluid">
        <?php if($error_warning): ?>
            <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
                <button type="button" class="close" data-dismiss="alert">&times;</button>
            </div>
        <?php endif; ?>
        <?php echo $template_include['admin_panel']; ?>
    </div>
</div>
<script src="view/javascript/fancy-tabs.js"></script>
<script src="view/javascript/gw-match.js"></script>
<script>
    var settings_prefix = "<?php echo $settings_prefix; ?>";
    var check_version_url = "<?php echo $check_version_url; ?>",
        user_token = "<?php echo $user_token; ?>",
        confirm_are_you_sure = "<?php echo $confirm_are_you_sure; ?>"
    ;
</script>
<?php echo $footer; ?>