<?php if($bank->infrastructure == 'parampos'): ?>
<?php
$_title = 'grilabs_multi_pos_' . $bankkey . '_title';
$_desc = 'grilabs_multi_pos_' . $bankkey . '_desc';
$_testmode = 'grilabs_multi_pos_' . $bankkey . '_testmode';
$_clientcode = 'grilabs_multi_pos_' . $bankkey . '_clientcode';
$_apiusername = 'grilabs_multi_pos_' . $bankkey . '_apiusername';
$_apipassword = 'grilabs_multi_pos_' . $bankkey . '_apipassword';
$_clientguid = 'grilabs_multi_pos_' . $bankkey . '_clientguid';
$_commission = 'grilabs_multi_pos_' . $bankkey . '_commission';
$_binlist = 'grilabs_multi_pos_' . $bankkey . '_binlist';
?>
    <div class="modal fade" id="parampos_bank_settings_modal_<?php echo $bankkey; ?>">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header gl-modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <img src="<?php echo $bank->logo; ?>" />
                    <p><?php echo $text_payment_details_parampos_desc; ?></p>
                </div>
                <div class="form-horizontal">

                    <div class="modal-body">

                        <div class="form-group" style="display: none;">
                            <label class="col-sm-2 control-label" for="input-title-<?php echo $bankkey; ?>"><?php echo $entry_nestpay_title; ?></label>
                            <div class="col-sm-10">
                                <input type="text"
                                       name="grilabs_multi_pos_<?php echo $bankkey; ?>_title"
                                       value="<?php echo $$_title; ?>"
                                       id="input-title-<?php echo $bankkey; ?>" class="form-control" />
                                <div class="input-group">
                                    <div class="text-info"><i>**<?php echo $info_nestpay_title; ?></i></div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group" style="display: none;">
                            <label class="col-sm-2 control-label" for="input-desc-<?php echo $bankkey; ?>"><?php echo $entry_nestpay_desc; ?></label>
                            <div class="col-sm-10">
                                <input type="text" name="grilabs_multi_pos_<?php echo $bankkey; ?>_desc"
                                       value="<?php echo $$_desc; ?>"
                                       id="input-desc-<?php echo $bankkey; ?>" class="form-control" />
                                <div class="input-group">
                                    <div class="text-info"><i>**<?php echo $info_nestpay_desc; ?></i></div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="input-testmode-<?php echo $bankkey; ?>"><?php echo $entry_nestpay_testmode; ?></label>
                            <div class="col-sm-10">
                                <input type="checkbox" name="grilabs_multi_pos_<?php echo $bankkey; ?>_testmode"
                                       value="yes"
                                        <?php echo $$_testmode == 'yes' ? ' checked' : ''; ?>
                                       id="input-testmode-<?php echo $bankkey; ?>" class="form-control" /><?php echo $entry_nestpay_testmode; ?>
                                <div class="input-group">
                                    <div class="text-info"><i>**<?php echo $info_nestpay_testmode; ?></i></div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-sm-10">
                                <h4><b><?php echo $entry_nestpay_bank_settings; ?></b></h4>
                                <p><?php echo $entry_nestpay_bank_settings_desc; ?></p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="input-clientcode-<?php echo $bankkey; ?>"><?php echo $entry_parampos_clientcode; ?></label>
                            <div class="col-sm-10">
                                <input type="text" name="grilabs_multi_pos_<?php echo $bankkey; ?>_clientcode"
                                       value="<?php echo $$_clientcode; ?>"
                                       id="input-clientcode-<?php echo $bankkey; ?>" class="form-control" />
                                <div class="input-group">
                                    <div class="text-info"><i>**<?php echo $info_parampos_settings; ?></i></div>
                                </div>
                            </div>
                        </div>


                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="input-apiusername-<?php echo $bankkey; ?>"><?php echo $entry_nestpay_apiusername; ?></label>
                            <div class="col-sm-10">
                                    <input type="text" name="grilabs_multi_pos_<?php echo $bankkey; ?>_apiusername"
                                       value="<?php echo $$_apiusername; ?>"
                                       id="input-apiusername-<?php echo $bankkey; ?>" class="form-control" />
                                <div class="input-group">
                                    <div class="text-info"><i>**<?php echo $info_parampos_settings; ?></i></div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="input-apipw-<?php echo $bankkey; ?>"><?php echo $entry_nestpay_apipw; ?></label>
                            <div class="col-sm-10">
                                <input type="password" name="grilabs_multi_pos_<?php echo $bankkey; ?>_apipassword"
                                       value="<?php echo $$_apipassword; ?>"
                                       id="input-apipw-<?php echo $bankkey; ?>" class="form-control" />
                                <div class="input-group">
                                    <div class="text-info"><i>**<?php echo $info_parampos_settings; ?></i></div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="input-clientguid-<?php echo $bankkey; ?>"><?php echo $entry_parampos_clientguid; ?></label>
                            <div class="col-sm-10">
                                <input type="text" name="grilabs_multi_pos_<?php echo $bankkey; ?>_clientguid"
                                       value="<?php echo $$_clientguid; ?>"
                                       id="input-clientguid-<?php echo $bankkey; ?>" class="form-control" />
                                <div class="input-group">
                                    <div class="text-info"><i>**<?php echo $info_parampos_settings; ?></i></div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label" for="input-commission-<?php echo $bankkey; ?>"><?php echo $entry_parampos_commission; ?></label>
                            <div class="col-sm-10">
                                <input type="checkbox" name="grilabs_multi_pos_<?php echo $bankkey; ?>_commission"
                                       value="yes"
                                <?php echo $$_commision == 'yes' ? ' checked' : ''; ?>
                                       id="input-commission-<?php echo $bankkey; ?>" class="form-control" />
                                <div class="input-group">
                                    <div class="text-info"><i>**<?php echo $entry_parampos_commission; ?></i></div>
                                </div>
                            </div>
                        </div>


                    </div>

                    <div class="modal-footer">
                        <button type="submit" data-toggle="tooltip" title="<?php echo $button_save; ?>"
                                class="btn btn-primary" id="save_button_<?php echo $bankkey; ?>"><i class="fa fa-save"></i></button>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>