(function() {
  var $, Card,
    slice = [].slice;

  Card = require('./card');

  $ = require('jquery');

  $.card = {};

  $.card.fn = {};

  $.fn.card = function(opts) {
    return $.card.fn.construct.apply(this, opts);
  };

  $.fn.extend({
    card: function() {
      var args, option;
      option = arguments[0], args = 2 <= arguments.length ? slice.call(arguments, 1) : [];
      return this.each(function() {
        var $this, data;
        $this = $(this);
        data = $this.data('card');
        if (!data) {
          $.each(option, (function(_this) {
            return function(key, value) {
              if (value instanceof jQuery) {
                return option[key] = value[0];
              }
            };
          })(this));
          option['form'] = this;
          $this.data('card', (data = new Card(option)));
        }
        if (typeof option === 'string') {
          return data[option].apply(data, args);
        }
      });
    }
  });

}).call(this);
