(function (root) {
    var BexJS = undefined;
    var BexUtil = {};
    BexUtil.createTicket = function (url, params) {
        return $.ajax({
            url: url,
            type: "POST",
            dataType: "json",
            data: JSON.stringify(params)
        }).then(function (response) {
            if (!BexJS) {
                return $
                    .getScript(response.config.baseJs)
                    .then(function () {
                        BexJS = Bex;
                        return response.response;
                    });
            }
            return response.response;
        })
    };

    BexUtil.queryTicket = function (url, params) {
        return $.ajax({
            url: url,
            type: "POST",
            dataType: "json",
            data: JSON.stringify(params)
        }).then(function (response) {
            if (response.status !== "SUCCESS") {
                throw new Error("islem hatasi")
            }
            return response
        });
    };
    BexUtil.showModal = function (url, params, modalOptions) {
        var create_ticket = BexUtil
            .createTicket(url, params);
        console.log(create_ticket);
        create_ticket.then(function (ticket) {
            Bex.init(ticket, "modal", modalOptions);
        });

        if(typeof create_ticket.catch === "function") {
            create_ticket.catch(function (err) {
                console.log(err);
            })
        }
    };
    root.BexUtil = BexUtil;
})(this);