<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* extension/payment/tabs/other_settings.twig */
class __TwigTemplate_923135e4f2339fcd9f77921fa3be8ece6bd1893618c87b365b4e36294d49fdee extends \Twig\Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 1
        echo "<div class=\"form-group\">
    <label class=\"col-sm-2 control-label\"
           for=\"input-multipos-title\">";
        // line 3
        echo ($context["entry_multipos_title"] ?? null);
        echo "</label>
    <div class=\"col-sm-10\">
        <input type=\"text\"
               name=\"payment_grilabs_multi_pos_multipos_title\"
               value=\"";
        // line 7
        echo ($context["payment_grilabs_multi_pos_multipos_title"] ?? null);
        echo "\"
               id=\"input-multipos-title\" class=\"form-control\"/>
        <div class=\"input-group\">
            <div class=\"text-info\"><i>**";
        // line 10
        echo ($context["info_multipos_title"] ?? null);
        echo "</i></div>
        </div>
    </div>
</div>

<div class=\"form-group\">
    <label class=\"col-sm-2 control-label\"
           for=\"input-multipos-min-installment\">";
        // line 17
        echo ($context["entry_multipos_min_amount_installment"] ?? null);
        echo "</label>
    <div class=\"col-sm-10\">
        <input type=\"number\"
               min=\"0\"
               max=\"9999999\"
               name=\"payment_grilabs_multi_pos_min_amount_installment\"
               value=\"";
        // line 23
        echo ($context["payment_grilabs_multi_pos_min_amount_installment"] ?? null);
        echo "\"
               id=\"input-multipos-min-installment\" class=\"form-control\"/>
        <div class=\"input-group\">
            <div class=\"text-info\"><i>**";
        // line 26
        echo ($context["info_multipos_title"] ?? null);
        echo "</i></div>
        </div>
    </div>
</div>

<div class=\"form-group\">
    <label class=\"col-sm-2 control-label\"
           for=\"input-payment-form\">";
        // line 33
        echo ($context["entry_payment_form_selector"] ?? null);
        echo "</label>
    <div class=\"col-sm-10\">
        <select name=\"payment_grilabs_multi_pos_payment_form_type\"
                class=\"form-control\">
            <option value=\"1\" ";
        // line 37
        if ((($context["payment_grilabs_multi_pos_payment_form_type"] ?? null) == "1")) {
            echo " selected ";
        }
        echo ">
                Form-1
            </option>
            <option value=\"2\" ";
        // line 40
        if ((($context["payment_grilabs_multi_pos_payment_form_type"] ?? null) == "2")) {
            echo " selected ";
        }
        echo ">
                Form-2
            </option>
        </select>
        <div class=\"input-group\">
            <div class=\"text-info\"><i>**";
        // line 45
        echo ($context["info_payment_form_selector"] ?? null);
        echo "</i></div>
        </div>
    </div>
</div>

<div class=\"form-group\">
    <label class=\"col-sm-2 control-label\"
           for=\"input-payment-form\">";
        // line 52
        echo ($context["entry_payment_popup_mode"] ?? null);
        echo "</label>
    <div class=\"col-sm-10\">
        <input type=\"checkbox\"
               name=\"payment_grilabs_multi_pos_payment_stop_popup\"
               value=\"yes\"
                ";
        // line 57
        if ((($context["payment_grilabs_multi_pos_payment_stop_popup"] ?? null) == "yes")) {
            // line 58
            echo "                    checked ";
        }
        // line 59
        echo "               id=\"input-log-file\" class=\"form-control\"
        />
    </div>
</div>


<div class=\"form-group\">
    <label class=\"col-sm-2 control-label\"
           for=\"input-payment-form\">";
        // line 67
        echo ($context["entry_enable_installment_table"] ?? null);
        echo "</label>
    <div class=\"col-sm-10\">
        <input type=\"checkbox\"
               name=\"payment_grilabs_multi_pos_payment_enable_installment_tables\"
               value=\"yes\"
                ";
        // line 72
        if ((($context["payment_grilabs_multi_pos_payment_enable_installment_tables"] ?? null) == "yes")) {
            // line 73
            echo "                    checked ";
        }
        // line 74
        echo "               id=\"input-log-file\" class=\"form-control\"
        />
        <div class=\"text-info\">
            <i>";
        // line 77
        echo ($context["entry_enable_installment_table_desc"] ?? null);
        echo "</i>
        </div>
    </div>
</div>

<div class=\"form-group\">
    <label class=\"col-sm-2 control-label\"
           for=\"input-log-file\">";
        // line 84
        echo ($context["entry_log_errors_in_file"] ?? null);
        echo "</label>
    <div class=\"col-sm-10\">
        <input type=\"checkbox\"
               name=\"payment_grilabs_multi_pos_log_errors_in_log_file\"
               value=\"yes\"
                ";
        // line 89
        if ((($context["payment_grilabs_multi_pos_log_errors_in_log_file"] ?? null) == "yes")) {
            // line 90
            echo "                    checked ";
        }
        // line 91
        echo "               id=\"input-log-file\" class=\"form-control\"/>
        <div class=\"input-group\">
            <div class=\"text-info\"><i>**";
        // line 93
        echo ($context["info_log_errors_in_file"] ?? null);
        echo "</i></div>
        </div>
    </div>
</div>

<div class=\"form-group\">
    <label class=\"col-sm-2 control-label\"
           for=\"input-log-history\">";
        // line 100
        echo ($context["entry_log_errors_in_order_history"] ?? null);
        echo "</label>
    <div class=\"col-sm-10\">
        <input type=\"checkbox\"
               name=\"payment_grilabs_multi_pos_log_errors_in_order_history\"
               value=\"yes\"
                ";
        // line 105
        if ((($context["payment_grilabs_multi_pos_log_errors_in_order_history"] ?? null) == "yes")) {
            // line 106
            echo "                    checked ";
        }
        // line 107
        echo "               id=\"input-log-history\" class=\"form-control\"/>
        <div class=\"input-group\">
            <div class=\"text-info\"><i>**";
        // line 109
        echo ($context["info_log_errors_in_order_history"] ?? null);
        echo "</i>
            </div>
        </div>
    </div>
</div>

<div class=\"form-group\">
    <label class=\"col-sm-2 control-label\"
           for=\"input-use-seperately\">";
        // line 117
        echo ($context["entry_use_seperately"] ?? null);
        echo "</label>
    <div class=\"col-sm-10\">
        <input type=\"checkbox\" name=\"payment_grilabs_multi_pos_use_seperately\"
               value=\"yes\"
                ";
        // line 121
        if ((($context["payment_grilabs_multi_pos_use_seperately"] ?? null) == "yes")) {
            // line 122
            echo "                    checked ";
        }
        // line 123
        echo "               disabled=\"disabled\"
               id=\"input-use-seperately\" class=\"form-control\"/>
        <div class=\"input-group\">
            <div class=\"text-info\"><i>**";
        // line 126
        echo ($context["info_use_seperately"] ?? null);
        echo "</i></div>
        </div>
    </div>
</div>";
    }

    public function getTemplateName()
    {
        return "extension/payment/tabs/other_settings.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  247 => 126,  242 => 123,  239 => 122,  237 => 121,  230 => 117,  219 => 109,  215 => 107,  212 => 106,  210 => 105,  202 => 100,  192 => 93,  188 => 91,  185 => 90,  183 => 89,  175 => 84,  165 => 77,  160 => 74,  157 => 73,  155 => 72,  147 => 67,  137 => 59,  134 => 58,  132 => 57,  124 => 52,  114 => 45,  104 => 40,  96 => 37,  89 => 33,  79 => 26,  73 => 23,  64 => 17,  54 => 10,  48 => 7,  41 => 3,  37 => 1,);
    }

    public function getSourceContext()
    {
        return new Source("", "extension/payment/tabs/other_settings.twig", "");
    }
}
